<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;
?>

<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('#bxslider_adsmanager_ads_<?php echo $ext_id; ?>').bxSlider({
		mode: '<?php echo $ext_mode;?>',		
		randomStart: <?php echo $ext_random_start;?>,
		minSlides: <?php echo $ext_min_slides;?>,
		maxSlides: <?php echo $ext_max_slides;?>,
		moveSlides: <?php echo $ext_move_slides;?>,
		slideWidth: <?php echo $ext_slide_width;?>,
		slideMargin: <?php echo $ext_slide_margin;?>,
		adaptiveHeight: <?php echo $ext_adaptive_height;?>,
		adaptiveHeightSpeed: <?php echo $ext_adaptive_height_speed;?>,
		easing:	'<?php echo $ext_easing;?>',
		captions: <?php echo $ext_captions;?>,
		speed: <?php echo $ext_speed;?>,
		controls: <?php echo $ext_controls; ?>,
		auto: <?php echo $ext_auto;?>,
		autoControls: <?php echo $ext_auto_controls;?>,
		pause: <?php echo $ext_pause?>,
		autoDelay: <?php echo $ext_auto_delay; ?>,
		autoHover: <?php echo $ext_autohover; ?>,
		pager: <?php echo $ext_pager;?>,
		pagerType: '<?php echo $ext_pager_type;?>',
		pagerShortSeparator: '<?php echo $ext_pager_saparator;?>'
	});
});
</script>

<div class="mod_ext_bxslider_adsmanager_ads <?php echo $moduleclass_sfx; ?>">	
	
	<ul id="bxslider_adsmanager_ads_<?php echo $ext_id; ?>">					
		<?php
		if (isset($contents[0])) {
			foreach($contents as $row) {
				echo '<li>';
					
					$linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=".$row->id."&catid=".$row->catid);			
					if (isset($row->images[0])) {
						echo '<div class="ext-ads-img">';
						echo "<a href='".$linkTarget."'><img src='".$baseurl."images/com_adsmanager/ads/".$row->images[0]->$imagetype."' alt='".htmlspecialchars($row->ad_headline)."' border='0' /></a>";
						echo '</div>';						
					}	else {
							echo '<div class="ext-ads-img">';
							echo "<a href='".$linkTarget."'><img src='".ADSMANAGER_NOPIC_IMG."' alt='noimage' border='0' /></a>"; 
							echo '</div>';	
						}   
						
					if ($ext_title > 0) {
						echo '<div class="ext-ads-title"><a href="'.$linkTarget.'">'.$row->ad_headline.'</a></div>'; 
					}
					
					$iconflag = false;
					if (($conf->show_new == true)&&(isNewContent($row->date_created,$conf->nbdays_new))) {
						echo "<div class='ext-icon'><img align='center' src='".$baseurl."components/com_adsmanager/images/new.gif' /> ";
						$iconflag = true;
					}
					if (($conf->show_hot == true)&&($row->views >= $conf->nbhits)) {
						if ($iconflag == false)
							echo "<div class='ext-ads-icon'>";
						echo "<img align='center' src='".$baseurl."components/com_adsmanager/images/hot.gif' />";
						$iconflag = true;
					}
					if ($iconflag == true)
						echo "</div>";
						
					if ($displaycategory == 1)	{						
						echo '<div class="ext-ads-cat">';
							if ($row->parent) {
								echo "<span class=\"adsmanager_cat\">(".$row->parent." / ".$row->cat.")</span>";
							} else {
								echo "<span class=\"adsmanager_cat\">(".$row->cat.")</span>";	
								}
						echo '</div>';
					}
					if ($displaydate == 1)	{						
						echo '<div class="ext-ads-date">'.reorderDate($row->date_created).'</div>';						
					}
					$first =0;
					foreach($adfields as $f) {
						$fieldname = $f->name;
						if ($row->$fieldname != null) {
							$value = $field->showFieldValue($row,$f);
							if ($first == 0)
								echo "<br/>";
							echo "$value";
							$first++;
						}
					}
					if ($row->ad_price AND $ext_price > 0) { 
						echo '<div class="ext-ads-price">';
							echo $row->ad_price." $ext_currency";
						echo '</div>';
					}

				echo '</li>';
			} 
		}		
		?>
	</ul>
	
<div style="clear:both;"></div>
</div>

